Bug 183170

Summary: diskdumputils Targeted Architecture Not Supported
Product: [Fedora] Fedora Reporter: Joseph D. Wagner <joe>
Component: diskdumputilsAssignee: Akira Imamura <aimamura>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 4CC: ktokunag, ntachino
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-01-22 22:01:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Joseph D. Wagner 2006-02-27 04:51:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux 2.6.15-1.1831_FC4; X11; i686; en_US) KHTML/3.5.1 (like Gecko)

Description of problem:
When attempting to specify a target architecture higher than i386 (i.e. i486, 
i586, etc), rpmbuild returns an error saying that the architecture is not 
included. 
 
I see no reason the architecture would not be supported.  Even noarch packages 
will build with a target architecture specified; the option simply has no 
effect on them. 

Version-Release number of selected component (if applicable):
diskdumputils-1.1.9-2.src.rpm

How reproducible:
Always

Steps to Reproduce:
Simply execute the command "rpmbuild --rebuild --target=foobar" where foobar 
is any x86 compatible 32-bit architecture higher than i386 (i.e. i486, i586, 
etc). 

Actual Results:  "error: Architecture is not included: i686" 

Expected Results:  The package should have built properly. 

Additional info:

Comment 1 Akira Imamura 2006-03-01 22:32:03 UTC
I added the following architectures in the ExclusiveArch
in the latest diskdumputils package's spec file.
 - i486
 - i586
 - i686
So you should be able to rebuild the package.
Please wait for the latest package to be released.

Thanks,
Akira

Comment 2 Christian Iseli 2007-01-22 10:45:57 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.